#!/bin/bash
# NCSA Abe

#PBS -l walltime=08:00:00
#PBS -l nodes=4:ppn=8
#PBS -V
#PBS -N NAS-MPI-job

# $HOME/.soft contains:
#
#  +mvapich2-0.9.8p2patched-intel-ofed-1.2
#  @teragrid-basic
#  @globus-4.0
#  @teragrid-dev
#
#

cd $HOME/NAS/NPB3.3/NPB3.3-MPI
NASDIR="$HOME/NAS/NPB3.3/NPB3.3-MPI"

mvapich2-start-mpd
export NP=`wc -l ${PBS_NODEFILE} | cut -d'/' -f1`

export MV2_SRQ_SIZE=4000

echo "Class B:"
mpirun -np ${NP} ./bin/cg.B.$cnt > output/${cnt}_proc/cg.B 
mpirun -np ${NP} ./bin/ep.B.$cnt > output/${cnt}_proc/ep.B 
mpirun -np ${NP} ./bin/ft.B.$cnt > output/${cnt}_proc/ft.B 
mpirun -np ${NP} ./bin/is.B.$cnt > output/${cnt}_proc/is.B 
mpirun -np ${NP} ./bin/lu.B.$cnt > output/${cnt}_proc/lu.B 
mpirun -np ${NP} ./bin/mg.B.$cnt > output/${cnt}_proc/mg.B 
mpirun -machinefile ${PBS_NODEFILE} -np ${NP} ./bin/sp.B.16 > output/16_proc/sp.B 
mpirun -machinefile ${PBS_NODEFILE} -np ${NP} ./bin/bt.B.16 > output/16_proc/bt.B 


mpdallexit

